# sshign

Small utility to sign and verify payloads using SSH keys.

## Building

Requires Go 1.13 or newer and [scdoc](https://git.sr.ht/~sircmpwn/scdoc) for
docs.

```
$ make
$ ./sshign -h
```

## Usage

Signing:

```
$ echo "This is my message" > sign-me.txt
$ ./sshign ~/.ssh/id_rsa < sign-me.txt > signature.txt
```

Verification:

```
$ ./sshign ~/.ssh/id_rsa.pub signature.txt < sign-me.txt
verify: ok
```
